class ServiceUrls {
  static String getUserLeaderBoard = '/leaderBoard/userLeaderBoard';

  static String getUserRewards = '/leaderBoard/userRewards';

  static String getAllUsers(String applicationId) =>
      '/users/application/$applicationId';

  static String createUser = '/users/addUser';

  static String updateUser(String userId, String appId) =>
      '/v1/users/update/$userId/application/$appId';

  static String uploadUserList = 'users/add/usersList';

  static String getSasToken = '/sasToken';

  static String updateGameAction = '/userCompletedGame/triggerGameAction';

  static String getUserById(String userId, String appId) =>
      '/users/$userId/$appId';

  static String getAllPrivilegeStages(String applicationId) =>
      '/privilegeStage/user/application/lookup/$applicationId';

  static String getAuthTokens(String clientId, String clientSecret) =>
      '/tokens/sandbox/$clientId/$clientSecret';

  static String getAccessToken = '/tokens/accessToken';
}
