import 'package:json_annotation/json_annotation.dart';
part 'leader_board.g.dart';

@JsonSerializable()
class LeaderBoardModel {
  LeaderBoardModel();

  late String userId;
  late String userName;
  int rank = 0;
  int score = 0;
  late String application;
  late String profileImageUrl = '';
  Map<String, dynamic> userReward = {};
  factory LeaderBoardModel.fromJson(Map<String, dynamic> json) =>
      _$LeaderBoardModelFromJson(json);

  Map<String, dynamic> toJson() => _$LeaderBoardModelToJson(this);
}
