import 'package:dio/dio.dart';
import 'package:progamification/src/constants/service_urls.dart';
import 'package:progamification/src/utilities/http_client.dart';

class SasTokenService {
  Future<String?> getSasToken() async {
    Dio httpClient = getHttpClient();
    final response = await httpClient.get(ServiceUrls.getSasToken);
    if (response.statusCode == 200) {
      return response.data['data'];
    } else {
      return null;
    }
  }
}
