class ProgamificationConfig {
  final String clientId, clientSecret, userId, appId;

  ProgamificationConfig(
      {required this.clientId,
      required this.clientSecret,
      required this.userId,
      required this.appId});

  static ProgamificationConfig? _instance;

  static ProgamificationConfig get instance {
    assert(_instance != null, 'AppConfig has not been initialized.');
    return _instance!;
  }

  static void initialize(
      String clientId, String clientSecret, String userId, String appId) {
    _instance = ProgamificationConfig(
        appId: appId,
        clientId: clientId,
        clientSecret: clientSecret,
        userId: userId);
  }
}
